## autolog 0.34

=== Makefile ===
# *********************************************************
# Change this section as needed
# The -g flag is to include debugging information.  It gets
# stripped back out in the install command anyway.
CC	= gcc
CFLAGS	= -g
MANDIR  = /usr/man
BINDIR  = /usr/sbin
# *********************************************************

autolog:	autolog.c
	$(CC) $(CFLAGS) -o autolog autolog.c

install:	autolog
	install -s autolog $(BINDIR)
	install -m644 autolog.conf.5 $(MANDIR)/man5
	install -m644 autolog.8 $(MANDIR)/man8

clean:
	rm autolog

## autolog 0.40

=== Makefile ===
--- 
+++ 
@@ -5,16 +5,21 @@
 CC	= gcc
 CFLAGS	= -g
 MANDIR  = /usr/man
-BINDIR  = /usr/sbin
+BINDIR  = /usr/sbin/
+LOGDIR  = /var/log/
+INIDIR  = /sbin/init.d/
 # *********************************************************
 
 autolog:	autolog.c
 	$(CC) $(CFLAGS) -o autolog autolog.c
 
 install:	autolog
-	install -s autolog $(BINDIR)
-	install -m644 autolog.conf.5 $(MANDIR)/man5
-	install -m644 autolog.8 $(MANDIR)/man8
+	install -m744 -o 0 -g 0 autolog           $(BINDIR)
+	install -m744 -o 0 -g 0 autolog.init      $(INIDIR)/autolog
+	install -m644 -o 0 -g 0 autolog.conf	  /etc
+	install -m644 -o 0 -g 0 autolog.log       $(LOGDIR)
+	install -m644          	autolog.conf.5.gz $(MANDIR)/man5
+	install -m644		autolog.8.gz      $(MANDIR)/man8
 
 clean:
 	rm autolog

=== debian/changelog ===
autolog (0.40-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't set PATH in postrm (there is no need for that), (Closes: #604208).

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 01 Dec 2010 16:40:43 +0100

autolog (0.40-13) unstable; urgency=low

  * debian/patches
    - Adding 04_check_ps_output.diff, thanks to Julien Viard de Galbert
      <julien@vdg.blogsite.org>. (Closes: #553502)
  * debian/control
    - Bump Standards-Version: 3.9.1 (No changes)
  * debian/autolog.conf.5
    - Fix spelling-error-in-manpage. Makes lintian happy.
  * debian/patches/01_Makefile.diff
    - Change the INIDIR to /etc/init.d
 
 -- Luis Uribe <acme@eviled.org>  Sat, 30 Oct 2010 21:19:38 -0500

autolog (0.40-12) unstable; urgency=low

  * debian/compat
    - Dump debhelper to 5
  * debian/control
    - Bump Standards-Version: 3.8.4 (No changes)
  * debian/[postinst,postrm,preinst,prerm]
    - Add 'set -e' to check for errors
  * Add patches for:
    - Makefile
    - autolog.8
    - autolog.conf.5
    - autolog.c
    - autolog.init
  * debian/control
    - Adds ${misc:Depends} to Depends:
    - Bump debhelper dependent number version. Makes lintian happy.
    - Add homepage field
  * debian/copyright
    - Fix the symlink to GPL-2
  * Makefile
    - Remove installation of autolog.log from Makefile and include it on a
      postinst script
    - Fix the path of the manpage installation
  * Switch to dpkg-source 3.0 (quilt) format. (Closes: #538629)
  * debian/source.lintian-overrides
    - Add file to override lintian warnings
  * debian/rules
    - Remove quilt references
    - Clean "clean" target.

 -- Luis Uribe <acme@eviled.org>  Sun, 21 Mar 2010 21:58:13 -0500

autolog (0.40-11) unstable; urgency=low

  * debian/control
    - Bump standards to 3.8.0 (No changes made)
  * debian/copyright
    - Rewrite Copyright notice
  * Remove the bashism in autolog.init (Closes: #471289)
  * Remove the bashism in debian/preinst
  * debian/rules
    - Move dh_shlibdeps after dh_makeshlibs and before dh_gencontrol,
      makes lintian happy.
    - Remove template lines.
    - Manage patches with quilt.
  * autolog.8 and autolog.conf.5
    - Fix lintian reports (hyphen used as a minus sign).

 -- Luis Uribe <acme@eviled.org>  Wed, 09 Apr 2008 20:30:13 -0500

autolog (0.40-10) unstable; urgency=low

  * New maintainter. (Closes: #385360).
  * Updated to newest standards version.
  * Added patch from Martin Godisch <martin@godisch.de> to correct the
    misbehave of the program when there is a small idle time specified
    (Closes: #206729).
  * debian/control
    - Remove debconf from Depends:
  * debian/rules
    - Remove debian/substvars file.
  * debian/watch
    - Added file
  * autolog.init
    - Make the script LSB-Compliant.
  * Move the debconf note to the README.Debian file, also remove
    debian/config, debian/templates and debian/po. (Closes: #388826).

 -- Luis Uribe <acme@eviled.org>  Mon, 4 Jun 2007 16:42:40 -0500

autolog (0.40-9) unstable; urgency=low

  * Added debconf-2.0 depends, per Joey Hess
  * Updated Portugese, Swedish translations (Closes: #330204, #330264)

 -- Paul Telford <pxt@debian.org>  Fri, 30 Sep 2005 07:49:28 -0700

autolog (0.40-8) unstable; urgency=low

  * Updated to newest standards-version
  * Added man page back in to package

 -- Paul Telford <pxt@debian.org>  Mon, 18 Jul 2005 09:50:13 -0700

autolog (0.40-7) unstable; urgency=low

  * Update German, Vietnamese, Japanese, Czech debconf translations
      (Closes: #276695, #309466, #227806, #293603)
  * Remove debhelper dependency (Closes: #276909)

 -- Paul Telford <pxt@debian.org>  Mon, 18 Jul 2005 08:24:32 -0700

autolog (0.40-6) unstable; urgency=low

  * Updated Russian and Dutch debconf translation (Closes: #219264, #215365)

 -- Paul Telford <pxt@debian.org>  Mon,  8 Dec 2003 15:21:53 -0800

autolog (0.40-5) unstable; urgency=low

  * Un-commented two erroneously exlcuded upstream source lines
      (Closes: #206742)
  * Updated French and Brazilian Portugese debconf translations
      (Closes: #207948, #207836, #206965)

 -- Paul Telford <pxt@debian.org>  Mon,  1 Sep 2003 18:39:48 -0700

autolog (0.40-4) unstable; urgency=low

  * Switched to gettext-based debconf templates (Closes: #205771)
  * Added French translation of gettext debconf template (Closes: #206598)

 -- Paul Telford <pxt@debian.org>  Thu, 21 Aug 2003 11:48:41 -0700

autolog (0.40-3) unstable; urgency=low

  * Use an alternate regex comparison routine to avoid a memory
    leak.  (Closes: #188445)
  * Fixed typo in warning message (Closes: #192018)

 -- Paul Telford <pxt@debian.org>  Fri, 18 Jul 2003 22:28:57 -0700

autolog (0.40-2) unstable; urgency=low

  * Remove old cron.d entry from prior versions if it exists (Closes: #182043)

 -- Paul Telford <paul@droflet.net>  Sat, 22 Feb 2003 09:53:21 -0800

autolog (0.40-1) unstable; urgency=low

  * New upstream release (Closes: #160003, #132152, #73051, #153575, #86423)
  * New maintainer (Closes: #174336)
  * Added fix to catch unknown groups (Closes: #52124)
  * Added Russian debconf template (Closes: #136922)
  * Fixed various upstream bugs

 -- Paul Telford <paul@droflet.net>  Tue, 04 Feb 2003 08:25:28 -0800

autolog (0.35-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Mark /etc/logrotate.d/autolog as a conffile (closes: #132152).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2002 17:32:59 +0000

autolog (0.35-10) unstable; urgency=low

  * Sorted out build-depends (closes:Bug#103841,Bug#105083).
  * Enhanced some error messages.
  * Included host in the subject and the body of the generated messages
    (closes:Bug#94910).
  * Included debconf message translation to Brazilian Portuguese contributed
    by andrelop@ig.com.br (closes:Bug#107486).

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 21 Oct 2001 18:52:29 -0300

autolog (0.35-9.1) unstable; urgency=low

  * NMU
  * Combine multiple build-depends lines



=== debian/control ===
Source: autolog
Build-Depends: debhelper (>= 5)
Section: admin
Priority: extra
Maintainer: Luis Uribe <acme@eviled.org>
Standards-Version: 3.9.1
Homepage: http://gitorious.org/debian-packages/autolog

Package: autolog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, cron (>= 3.0pl1-42)
Recommends: exim4|mail-transport-agent
Description: Terminates connections for idle users
 Autolog terminates connections considered to be idle based on a large
 variety of parameters.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE=1
# policy manual, section 10.1
CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

package = autolog

build:
	dh_testdir
	make
	touch build

clean:
	dh_testdir
	dh_testroot
	rm -f build
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean
	rm -f `find . -name "*~"`

binary-indep:	build
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testdir
	dh_testroot
	rm -rf debian/$(package)
	install -d debian/$(package)/etc debian/$(package)/etc/logrotate.d debian/$(package)/etc/init.d
	make install DESTDIR=`pwd`/debian/$(package) CFLAGS="$(CFLAGS)"
	install -m644 debian/logrotate debian/$(package)/etc/logrotate.d/autolog
	install -m644 autolog.init debian/$(package)/etc/init.d/autolog
	dh_installdirs usr/share/lintian/overrides/
	dh_install debian/overrides/autolog usr/share/lintian/overrides/
	dh_installdocs -n
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_installcron
	dh_installman debian/autolog.8 debian/autolog.conf.5
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdebconf
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

=== debian/watch ===
version=3
http://www.ibiblio.org/pub/Linux/system/admin/idle/autolog-(.*)\.tar.gz

## autolog 0.40%2Bdebian

=== debian/watch ===
version=3
opts="dversionmangle=s/.debian//" \
http://www.ibiblio.org/pub/Linux/system/admin/idle/autolog-(.*)\.tar.gz

## autolog 0.40+debian

=== debian/changelog ===
autolog (0.40+debian-4) unstable; urgency=medium

  [ Marcos Fouces ]
  * d/control
    - Bump debhelper-compat compatibility level to 13.
    - Switch Build-Depends from debhelper to debhelper-compat.
    - Add Pre-Depends: ${misc:Pre-Depends} to handle
      --skip-systemd-native invoke-rc.d flag properly.
    - Remove unnecessary greater-than versioned dependencies.
  * d/copyright
    -  Add proper explanation for upstream repacked tarball.
  *d/u/metadata
    - Add upstream metadata.
  * d/watch
    - Use secure URI.

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian.

  [ Deb Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.0, no changes needed.

 -- Marcos Fouces <marcos@debian.org>  Wed, 30 Sep 2020 15:56:51 +0200

autolog (0.40+debian-3) unstable; urgency=medium

  * Team upload.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Replace exim4 by default-mta in Recommends.
  * Bump Standards-Version to 4.2.1.
  * Switch debhelper compat level to 11.
  * Use $(MAKE) instead of make in debian/rules

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 28 Aug 2018 10:36:16 +0200

autolog (0.40+debian-2) unstable; urgency=medium

  [ Marcos Fouces ]
  * Reorder, refresh and rename patches properly
  * Major rewrite of autolog.init file fixing piuparts issues
    (closes: #605890, #850761)
  * Polish and rename properly {pre,post}{inst,rem} files.
  * Create 06_adjust_makefile.patch
    - allow debhelper to inject CPPFLAGS and LDFLAGS
    - allow overriding CC (needed for cross compiling)
  * Add 07_clang-ftbfs.patch. Thanks to Arthur Marble (Closes: #740031)
  * Rely on dh_installinit to install autolog.init.d
  * Avoid manually handle the update-rc.d calls on {post,pre}{inst,rem} files
  * Update Standards-revision to 4.0.0 (no changes needed)
  * Set priority to optional
  * Create systemd service file

  [ Lukas Schwaighofer ]
  * Allow `make clean` to fail so `debian/rules clean` can be executed in
    patches unapplied state
  * Remove preinst, the cleanup code has been present since a version before
    o-o-stable and can therefore be dropped
  * Improve the removal of /var/log/autolog.log* files in postrm

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 02 Jul 2017 20:33:36 +0200

autolog (0.40+debian-1) unstable; urgency=medium

  * Rename version to 0.40+debian.
    Deleted unnecessary files in source tarball (*.spec and a binary)
  * Assign to pkg-security team (Closes: #783267)
  * Bump to debhelper 10
  * Fix homepage
  * Fix watch file in order to mangle Debian version
  * Add lsb-base dependency
  * Delete temporary debhelper file
  * Delete source.lintian-overrides
  * Fix descriptions in control file
  * Adapt rules file to modern standards
  * Add autolog.manpages
  * Update copyright file to be dep5 compliant
  * Add patch to fix spelling errors
  * Call invoke-rc.d without prepended path
  * Restore "status" to invoke-rc.d options
  * Bump std-version to 3.9.8

 -- Marcos Fouces <mfouces@yahoo.es>  Thu, 08 Dec 2016 13:25:10 +0100

=== debian/control ===
Source: autolog
Build-Depends: debhelper-compat (= 13)
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Standards-Version: 4.5.0
Homepage: https://www.ibiblio.org/pub/Linux/system/admin/idle/
Vcs-Git: https://salsa.debian.org/pkg-security-team/autolog.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/autolog

Package: autolog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, cron, lsb-base
Pre-Depends: ${misc:Pre-Depends}
Recommends: default-mta | mail-transport-agent
Description: Log out idle users
 The  program reads the utmp file, entry by entry.  The username for each
 'user process' is compared to the entries in the configuration file.
 The first entry to match both the name, the group, and the tty line
 of the process will be used to conduct the automatic logout.

=== debian/watch ===
version=3
opts="dversionmangle=s/.debian//" \
https://www.ibiblio.org/pub/Linux/system/admin/idle/autolog-(.*)\.tar.gz

## autolog 0.42

=== Makefile ===
# *********************************************************
# Change this section as needed
# The -g flag is to include debugging information.  It gets
# stripped back out in the install command anyway.
CC      ?= gcc
#CFLAGS += -g
MANDIR  = $(DESTDIR)/usr/share/man
BINDIR  = $(DESTDIR)/usr/sbin/
STATEDIR = $(DESTDIR)/var/lib/autolog/
CONFDIR = $(DESTDIR)/etc/
INIDIR  = $(DESTDIR)/etc/init.d/
# *********************************************************

autolog:	autolog.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o autolog autolog.c

install:	autolog
	install -d $(BINDIR) $(INIDIR) $(CONFDIR) $(STATEDIR) $(LOGDIR) $(MANDIR)
	install -m744 -o 0 -g 0 autolog           $(BINDIR)
#	install -m744 -o 0 -g 0 autolog.init      $(INIDIR)/autolog
	install -m644 -o 0 -g 0 autolog.conf      $(CONFDIR)

clean:
	rm -f autolog

=== debian/changelog ===
autolog (0.42-2) unstable; urgency=medium

  * Remove d/upstream/metadata duplicate and incorrect field.
  * Bump to Standards-Version 4.6.1 (no changes required).
  * Update d/copyright file.
  * Add Rules-Requires-Root: binary-target as building of this
    package required root privileges at some point.

 -- Marcos Fouces <marcos@debian.org>  Wed, 12 Oct 2022 14:17:08 +0200

autolog (0.42-1) unstable; urgency=medium

  * Set new upstream repo on Github. Update watch file accordingly.
  * New upstream version 0.42
  * Delete all patches as they were merged upstream.
  * Remove local manpages but keep d/manpage.autolog to install.
  * Update copyright file properly.
  * Update d/upstream/metadata.
  * Set new homepage.
  * Bump to Standards-Version 4.5.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Wed, 17 Feb 2021 18:00:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
-Standards-Version: 4.5.0
-Homepage: https://www.ibiblio.org/pub/Linux/system/admin/idle/
+Standards-Version: 4.6.1
+Homepage: https://github.com/JKDingwall/autolog
 Vcs-Git: https://salsa.debian.org/pkg-security-team/autolog.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/autolog
+Rules-Requires-Root: binary-targets
 
 Package: autolog
 Architecture: any

## autolog 0.42.1

=== debian/changelog ===
autolog (0.42.1-3) unstable; urgency=medium

  * Team upload.
  * d/copyright: consistently point to GNU licenses website.
  * d/p/Fix-compilation-failure-with-GCC-15.patch (Closes: #1096349).

 -- Matheus Polkorny <mpolkorny@gmail.com>  Wed, 10 Sep 2025 23:26:55 -0300

autolog (0.42.1-2) unstable; urgency=medium

  * Team upload.
  * d/p/*: Add patch to fix incompatible pointer type errors (Closes: #1074830).
  * d/control: Bump Standards-Version to 4.7.0.
  * d/copyright: Update the debian/* stanza.

 -- Sven Geuer <sge@debian.org>  Tue, 03 Sep 2024 23:05:29 +0200

autolog (0.42.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #1066269)
  * Remove obsolete lsb-base dependency.
  * Bump to Standards-Version 4.6.2 (no changes required).
  * Update copyright file.

 -- Marcos Fouces <marcos@debian.org>  Tue, 19 Mar 2024 18:51:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/JKDingwall/autolog
 Vcs-Git: https://salsa.debian.org/pkg-security-team/autolog.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/autolog
@@ -12,7 +12,7 @@
 
 Package: autolog
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, cron, lsb-base
+Depends: ${misc:Depends}, ${shlibs:Depends}, cron
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: default-mta | mail-transport-agent
 Description: Log out idle users

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# the clean target may be called with patches unapplied; workaround the
# upstream makefile exiting uncleanly
override_dh_auto_clean:
	$(MAKE) clean || true

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%autolog-$1.tar.gz%" \
   https://github.com/JKDingwall/autolog/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## autolog 0.42.2

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # The -g flag is to include debugging information.  It gets
 # stripped back out in the install command anyway.
 CC      ?= gcc
+CFLAGS  += -Werror=implicit-function-declaration
+CFLAGS  += -D_REGEX_RE_COMP=1
 #CFLAGS += -g
 MANDIR  = $(DESTDIR)/usr/share/man
 BINDIR  = $(DESTDIR)/usr/sbin/

=== debian/changelog ===
autolog (0.42.2-2) unstable; urgency=medium

  * Reintroduction of a mistakenly deleted changelog entry.
  * d/watch: Convert to version 5.

 -- Marcos Fouces <marcos@debian.org>  Sat, 20 Sep 2025 23:28:20 +0200

autolog (0.42.2-1) unstable; urgency=medium

  * New upstream version 0.42.2
  * Remove incompatible-pointer-type.patch (no longer needed).
  * d/copyright:
    ~ No longer refer to old postal address of the FSF.
    ~ Update copyright dates.
  * d/control:
    ~ Bump to Standards-Version 4.7.2 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Sat, 20 Sep 2025 00:06:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/JKDingwall/autolog
 Vcs-Git: https://salsa.debian.org/pkg-security-team/autolog.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/autolog

=== debian/watch ===
Version: 5

Source: https://github.com/JKDingwall/autolog.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Pgpmode: none
Uversionmangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
